Skip to main content
GET
/
v3
/
avatars
/
looks
List avatar looks
curl --request GET \
  --url https://api.heygen.com/v3/avatars/looks \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "avatar_type": "studio_avatar",
      "group_id": "ag_abc123",
      "preview_image_url": "https://files.heygen.ai/look/business_preview.jpg",
      "preview_video_url": "https://files.heygen.ai/look/business_preview.mp4",
      "gender": "female",
      "tags": [
        "<string>"
      ],
      "default_voice_id": "1bd001e7e50f421d891986aad5c8bbd2",
      "supported_api_engines": [
        "<string>"
      ],
      "image_width": 1920,
      "image_height": 1080,
      "preferred_orientation": "<string>"
    }
  ],
  "has_more": true,
  "next_token": "<string>"
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Query Parameters

group_id
string

Filter looks to a specific avatar group. Returns only looks belonging to this group.

avatar_type
enum<string>

Filter by avatar type: 'studio_avatar', 'video_avatar', or 'photo_avatar'.

Available options:
studio_avatar,
video_avatar,
photo_avatar
ownership
enum<string>

Filter by ownership: 'public' for preset avatars, or 'private' for your own. Omit for all.

Available options:
public,
private
limit
integer
default:20

Maximum number of items to return per page (1-50).

Required range: 1 <= x <= 50
token
string

Opaque cursor token for the next page.

Response

Successful response

data
AvatarLookItem · object[]
has_more
boolean

Whether more pages are available

next_token
string | null

Opaque cursor for the next page